Xalan-Java 2.7.1: Class MsgKey

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.serializer.utils
Class MsgKey

    java.lang.Object
      |
      +--org.apache.xml.serializer.utils.MsgKey

public class MsgKey
extends java.lang.Object

This class is not a public API, It is used internally by serializer and is public, in the Java sense, only because its use crosses package boundaries.

This class holds only the message keys used when generating messages.

Field Summary
`static java.lang.String` | `BAD_MSGFORMAT` An internal error with the messages, this is the message to use if the message format operation failed.
`static java.lang.String` | `BAD_MSGKEY` An internal error with the messages, this is the message to use if the message key can't be found
`static java.lang.String` | `ER_ATTR_UNBOUND_PREFIX_IN_ENTREF`
`static java.lang.String` | `ER_BUFFER_SIZE_LESSTHAN_ZERO`
`static java.lang.String` | `ER_CANNOT_INIT_URI_EMPTY_PARMS`
`static java.lang.String` | `ER_CDATA_SECTIONS_SPLIT`
`static java.lang.String` | `ER_COULD_NOT_LOAD_METHOD_PROPERTY`
`static java.lang.String` | `ER_COULD_NOT_LOAD_RESOURCE`
`static java.lang.String` | `ER_ELEM_UNBOUND_PREFIX_IN_ENTREF`
`static java.lang.String` | `ER_ENCODING_NOT_SUPPORTED`
`static java.lang.String` | `ER_FACTORY_PROPERTY_MISSING`
`static java.lang.String` | `ER_FEATURE_NOT_FOUND`
`static java.lang.String` | `ER_FEATURE_NOT_SUPPORTED`
`static java.lang.String` | `ER_FRAG_FOR_GENERIC_URI`
`static java.lang.String` | `ER_FRAG_INVALID_CHAR`
`static java.lang.String` | `ER_FRAG_WHEN_PATH_NULL`
`static java.lang.String` | `ER_HOST_ADDRESS_NOT_WELLFORMED`
`static java.lang.String` | `ER_ILLEGAL_ATTRIBUTE_POSITION`
`static java.lang.String` | `ER_ILLEGAL_CHARACTER`
`static java.lang.String` | `ER_INVALID_PORT`
`static java.lang.String` | `ER_INVALID_UTF16_SURROGATE`
`static java.lang.String` | `ER_NAMESPACE_PREFIX`
`static java.lang.String` | `ER_NO_FRAGMENT_STRING_IN_PATH`
`static java.lang.String` | `ER_NO_OUTPUT_SPECIFIED`
`static java.lang.String` | `ER_NO_PORT_IF_NO_HOST`
`static java.lang.String` | `ER_NO_QUERY_STRING_IN_PATH`
`static java.lang.String` | `ER_NO_SCHEME_IN_URI`
`static java.lang.String` | `ER_NO_SCHEME_INURI`
`static java.lang.String` | `ER_NO_USERINFO_IF_NO_HOST`
`static java.lang.String` | `ER_NS_PREFIX_CANNOT_BE_BOUND`
`static java.lang.String` | `ER_NULL_LOCAL_ATTR_NAME`
`static java.lang.String` | `ER_NULL_LOCAL_ELEMENT_NAME`
`static java.lang.String` | `ER_OIERROR`
`static java.lang.String` | `ER_PATH_CONTAINS_INVALID_ESCAPE_SEQUENCE`
`static java.lang.String` | `ER_PATH_INVALID_CHAR`
`static java.lang.String` | `ER_PORT_WHEN_HOST_NULL`
`static java.lang.String` | `ER_RESOURCE_COULD_NOT_FIND`
`static java.lang.String` | `ER_RESOURCE_COULD_NOT_LOAD`
`static java.lang.String` | `ER_SCHEME_FROM_NULL_STRING`
`static java.lang.String` | `ER_SCHEME_NOT_CONFORMANT`
`static java.lang.String` | `ER_SCHEME_REQUIRED`
`static java.lang.String` | `ER_SERIALIZER_NOT_CONTENTHANDLER`
`static java.lang.String` | `ER_STRAY_ATTRIBUTE`
`static java.lang.String` | `ER_STRAY_NAMESPACE`
`static java.lang.String` | `ER_STRING_TOO_LONG`
`static java.lang.String` | `ER_TYPE_MISMATCH_ERR`
`static java.lang.String` | `ER_UNABLE_TO_SERIALIZE_NODE`
`static java.lang.String` | `ER_UNSUPPORTED_ENCODING`
`static java.lang.String` | `ER_WARNING_WF_NOT_CHECKED`
`static java.lang.String` | `ER_WF_DASH_IN_COMMENT`
`static java.lang.String` | `ER_WF_INVALID_CHARACTER`
`static java.lang.String` | `ER_WF_INVALID_CHARACTER_IN_CDATA`
`static java.lang.String` | `ER_WF_INVALID_CHARACTER_IN_COMMENT`
`static java.lang.String` | `ER_WF_INVALID_CHARACTER_IN_NODE_NAME`
`static java.lang.String` | `ER_WF_INVALID_CHARACTER_IN_PI`
`static java.lang.String` | `ER_WF_INVALID_CHARACTER_IN_TEXT`
`static java.lang.String` | `ER_WF_LT_IN_ATTVAL`
`static java.lang.String` | `ER_WF_REF_TO_EXTERNAL_ENT`
`static java.lang.String` | `ER_WF_REF_TO_UNPARSED_ENT`
`static java.lang.String` | `ER_WRITING_INTERNAL_SUBSET`
`static java.lang.String` | `ER_XML_VERSION_NOT_SUPPORTED`

Constructor Summary
`MsgKey()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BAD_MSGKEY

    public static final java.lang.String BAD_MSGKEY

  An internal error with the messages, this is the message to use if the message key can't be found

### BAD_MSGFORMAT

    public static final java.lang.String BAD_MSGFORMAT

  An internal error with the messages, this is the message to use if the message format operation failed.

### ER_RESOURCE_COULD_NOT_FIND

    public static final java.lang.String ER_RESOURCE_COULD_NOT_FIND

### ER_RESOURCE_COULD_NOT_LOAD

    public static final java.lang.String ER_RESOURCE_COULD_NOT_LOAD

### ER_BUFFER_SIZE_LESSTHAN_ZERO

    public static final java.lang.String ER_BUFFER_SIZE_LESSTHAN_ZERO

### ER_INVALID_UTF16_SURROGATE

    public static final java.lang.String ER_INVALID_UTF16_SURROGATE

### ER_OIERROR

    public static final java.lang.String ER_OIERROR

### ER_NAMESPACE_PREFIX

    public static final java.lang.String ER_NAMESPACE_PREFIX

### ER_STRAY_ATTRIBUTE

    public static final java.lang.String ER_STRAY_ATTRIBUTE

### ER_STRAY_NAMESPACE

    public static final java.lang.String ER_STRAY_NAMESPACE

### ER_COULD_NOT_LOAD_RESOURCE

    public static final java.lang.String ER_COULD_NOT_LOAD_RESOURCE

### ER_COULD_NOT_LOAD_METHOD_PROPERTY

    public static final java.lang.String ER_COULD_NOT_LOAD_METHOD_PROPERTY

### ER_SERIALIZER_NOT_CONTENTHANDLER

    public static final java.lang.String ER_SERIALIZER_NOT_CONTENTHANDLER

### ER_ILLEGAL_ATTRIBUTE_POSITION

    public static final java.lang.String ER_ILLEGAL_ATTRIBUTE_POSITION

### ER_ILLEGAL_CHARACTER

    public static final java.lang.String ER_ILLEGAL_CHARACTER

### ER_INVALID_PORT

    public static final java.lang.String ER_INVALID_PORT

### ER_PORT_WHEN_HOST_NULL

    public static final java.lang.String ER_PORT_WHEN_HOST_NULL

### ER_HOST_ADDRESS_NOT_WELLFORMED

    public static final java.lang.String ER_HOST_ADDRESS_NOT_WELLFORMED

### ER_SCHEME_NOT_CONFORMANT

    public static final java.lang.String ER_SCHEME_NOT_CONFORMANT

### ER_SCHEME_FROM_NULL_STRING

    public static final java.lang.String ER_SCHEME_FROM_NULL_STRING

### ER_PATH_CONTAINS_INVALID_ESCAPE_SEQUENCE

    public static final java.lang.String ER_PATH_CONTAINS_INVALID_ESCAPE_SEQUENCE

### ER_PATH_INVALID_CHAR

    public static final java.lang.String ER_PATH_INVALID_CHAR

### ER_NO_SCHEME_INURI

    public static final java.lang.String ER_NO_SCHEME_INURI

### ER_FRAG_INVALID_CHAR

    public static final java.lang.String ER_FRAG_INVALID_CHAR

### ER_FRAG_WHEN_PATH_NULL

    public static final java.lang.String ER_FRAG_WHEN_PATH_NULL

### ER_FRAG_FOR_GENERIC_URI

    public static final java.lang.String ER_FRAG_FOR_GENERIC_URI

### ER_NO_SCHEME_IN_URI

    public static final java.lang.String ER_NO_SCHEME_IN_URI

### ER_CANNOT_INIT_URI_EMPTY_PARMS

    public static final java.lang.String ER_CANNOT_INIT_URI_EMPTY_PARMS

### ER_NO_FRAGMENT_STRING_IN_PATH

    public static final java.lang.String ER_NO_FRAGMENT_STRING_IN_PATH

### ER_NO_QUERY_STRING_IN_PATH

    public static final java.lang.String ER_NO_QUERY_STRING_IN_PATH

### ER_NO_PORT_IF_NO_HOST

    public static final java.lang.String ER_NO_PORT_IF_NO_HOST

### ER_NO_USERINFO_IF_NO_HOST

    public static final java.lang.String ER_NO_USERINFO_IF_NO_HOST

### ER_SCHEME_REQUIRED

    public static final java.lang.String ER_SCHEME_REQUIRED

### ER_XML_VERSION_NOT_SUPPORTED

    public static final java.lang.String ER_XML_VERSION_NOT_SUPPORTED

### ER_FACTORY_PROPERTY_MISSING

    public static final java.lang.String ER_FACTORY_PROPERTY_MISSING

### ER_ENCODING_NOT_SUPPORTED

    public static final java.lang.String ER_ENCODING_NOT_SUPPORTED

### ER_FEATURE_NOT_FOUND

    public static final java.lang.String ER_FEATURE_NOT_FOUND

### ER_FEATURE_NOT_SUPPORTED

    public static final java.lang.String ER_FEATURE_NOT_SUPPORTED

### ER_STRING_TOO_LONG

    public static final java.lang.String ER_STRING_TOO_LONG

### ER_TYPE_MISMATCH_ERR

    public static final java.lang.String ER_TYPE_MISMATCH_ERR

### ER_NO_OUTPUT_SPECIFIED

    public static final java.lang.String ER_NO_OUTPUT_SPECIFIED

### ER_UNSUPPORTED_ENCODING

    public static final java.lang.String ER_UNSUPPORTED_ENCODING

### ER_ELEM_UNBOUND_PREFIX_IN_ENTREF

    public static final java.lang.String ER_ELEM_UNBOUND_PREFIX_IN_ENTREF

### ER_ATTR_UNBOUND_PREFIX_IN_ENTREF

    public static final java.lang.String ER_ATTR_UNBOUND_PREFIX_IN_ENTREF

### ER_CDATA_SECTIONS_SPLIT

    public static final java.lang.String ER_CDATA_SECTIONS_SPLIT

### ER_WF_INVALID_CHARACTER

    public static final java.lang.String ER_WF_INVALID_CHARACTER

### ER_WF_INVALID_CHARACTER_IN_NODE_NAME

    public static final java.lang.String ER_WF_INVALID_CHARACTER_IN_NODE_NAME

### ER_UNABLE_TO_SERIALIZE_NODE

    public static final java.lang.String ER_UNABLE_TO_SERIALIZE_NODE

### ER_WARNING_WF_NOT_CHECKED

    public static final java.lang.String ER_WARNING_WF_NOT_CHECKED

### ER_WF_INVALID_CHARACTER_IN_COMMENT

    public static final java.lang.String ER_WF_INVALID_CHARACTER_IN_COMMENT

### ER_WF_INVALID_CHARACTER_IN_PI

    public static final java.lang.String ER_WF_INVALID_CHARACTER_IN_PI

### ER_WF_INVALID_CHARACTER_IN_CDATA

    public static final java.lang.String ER_WF_INVALID_CHARACTER_IN_CDATA

### ER_WF_INVALID_CHARACTER_IN_TEXT

    public static final java.lang.String ER_WF_INVALID_CHARACTER_IN_TEXT

### ER_WF_DASH_IN_COMMENT

    public static final java.lang.String ER_WF_DASH_IN_COMMENT

### ER_WF_LT_IN_ATTVAL

    public static final java.lang.String ER_WF_LT_IN_ATTVAL

### ER_WF_REF_TO_UNPARSED_ENT

    public static final java.lang.String ER_WF_REF_TO_UNPARSED_ENT

### ER_WF_REF_TO_EXTERNAL_ENT

    public static final java.lang.String ER_WF_REF_TO_EXTERNAL_ENT

### ER_NS_PREFIX_CANNOT_BE_BOUND

    public static final java.lang.String ER_NS_PREFIX_CANNOT_BE_BOUND

### ER_NULL_LOCAL_ELEMENT_NAME

    public static final java.lang.String ER_NULL_LOCAL_ELEMENT_NAME

### ER_NULL_LOCAL_ATTR_NAME

    public static final java.lang.String ER_NULL_LOCAL_ATTR_NAME

### ER_WRITING_INTERNAL_SUBSET

    public static final java.lang.String ER_WRITING_INTERNAL_SUBSET

Constructor Detail

### MsgKey

    public MsgKey()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.